xmlwrapp Lightweight C++ XML parsing library

Public Member Functions | List of all members
xml::error_handler_throw_on_error_or_warning Class Reference

Specialization of error_handler that throws on any error or warning. More...

`#include <errors.h>`

Inheritance diagram for xml::error_handler_throw_on_error_or_warning:
[legend]
Collaboration diagram for xml::error_handler_throw_on_error_or_warning:
[legend]

## Public Member Functions
void | on_warning (const std::string &msg)
| Called by xmlwrapp to report a warning. More...
void | on_error (const std::string &msg)
| Called by xmlwrapp to report an error. More...

## Detailed Description

Specialization of error_handler that throws on any error or warning.

See also
  throw_on_error_or_warning

## Member Function Documentation

## ◆ on_error()

void xml::error_handler_throw_on_error::on_error | ( | const std::string & | msg | ) |
| inline virtual inherited

Called by xmlwrapp to report an error.

Implements xml::error_handler.

Referenced by on_warning().

## ◆ on_warning()

void xml::error_handler_throw_on_error_or_warning::on_warning | ( | const std::string & | msg | ) |
| inline virtual

Called by xmlwrapp to report a warning.

Reimplemented from xml::error_handler_throw_on_error.

References xml::error_handler_throw_on_error::on_error().

The documentation for this class was generated from the following file:

- xmlwrapp/errors.h